Index: c/src/lib/libbsp/m68k/mvme162/ChangeLog
===================================================================
--- c/src/lib/libbsp/m68k/mvme162/ChangeLog	(revision 54a1f5ddb263ef0004c2e5c69c7814c8d82bb863)
+++ c/src/lib/libbsp/m68k/mvme162/ChangeLog	(revision 15d7f766c5b4f6d52ffd5721892c8d6c604995c7)
@@ -1,2 +1,9 @@
+2003-12-10	Ralf Corsepius <corsepiu@faw.uni-ulm.de>
+
+	* Makefile.am: Misc cleanups and fixes.
+	* start/Makefile.am: Misc cleanups and fixes.
+	* startup/Makefile.am: Misc cleanups and fixes.
+	* wrapup/Makefile.am: Misc cleanups and fixes.
+
 2003-12-03	Ralf Corsepius <corsepiu@faw.uni-ulm.de>
 
Index: c/src/lib/libbsp/m68k/mvme162/Makefile.am
===================================================================
--- c/src/lib/libbsp/m68k/mvme162/Makefile.am	(revision 54a1f5ddb263ef0004c2e5c69c7814c8d82bb863)
+++ c/src/lib/libbsp/m68k/mvme162/Makefile.am	(revision 15d7f766c5b4f6d52ffd5721892c8d6c604995c7)
@@ -29,7 +29,4 @@
 EXTRA_DIST = times
 
-    $(top_srcdir)/../shared/mvme/mvme16x_hw.h
-	$(INSTALL_DATA) $< $@
-
 $(PROJECT_INCLUDE)/coverhd.h: include/coverhd.h $(PROJECT_INCLUDE)/$(dirstamp)
 	$(INSTALL_DATA) $< $(PROJECT_INCLUDE)/coverhd.h
Index: c/src/lib/libbsp/m68k/mvme162/start/Makefile.am
===================================================================
--- c/src/lib/libbsp/m68k/mvme162/start/Makefile.am	(revision 54a1f5ddb263ef0004c2e5c69c7814c8d82bb863)
+++ c/src/lib/libbsp/m68k/mvme162/start/Makefile.am	(revision 15d7f766c5b4f6d52ffd5721892c8d6c604995c7)
@@ -12,4 +12,5 @@
 include $(top_srcdir)/../../../../automake/compile.am
 include $(top_srcdir)/../../../../automake/lib.am
+include $(top_srcdir)/../../bspstart.am
 
 #
@@ -17,16 +18,11 @@
 #
 
-install-data-local: $(PROJECT_RELEASE)/lib/start$(LIB_VARIANT).$(OBJEXT)
-	@$(mkinstalldirs) $(DESTDIR)$(bsplibdir)
-	$(INSTALL_DATA) $< $(DESTDIR)$(bsplibdir)
+project_lib_DATA = $(ARCH)/start$(LIB_VARIANT).$(OBJEXT)
 
-$(PROJECT_RELEASE)/lib/start$(LIB_VARIANT).$(OBJEXT): $(ARCH)/start.$(OBJEXT)
-	$(INSTALL_DATA) $< $@
+all-local: $(TMPINSTALL_FILES)
 
-TMPINSTALL_FILES += $(PROJECT_RELEASE)/lib/start$(LIB_VARIANT).$(OBJEXT)
-
-all-local: $(OBJS) $(ARCH)/start.$(OBJEXT) $(TMPINSTALL_FILES)
-
-.PRECIOUS: $(ARCH)/start.$(OBJEXT)
+${PROJECT_RELEASE}/lib/start$(LIB_VARIANT).$(OBJEXT): $(ARCH)/start$(LIB_VARIANT).$(OBJEXT) ${PROJECT_RELEASE}/lib/$(dirstamp)
+	$(INSTALL_DATA) $< ${PROJECT_RELEASE}/lib/start$(LIB_VARIANT).$(OBJEXT)
+TMPINSTALL_FILES += ${PROJECT_RELEASE}/lib/start$(LIB_VARIANT).$(OBJEXT)
 
 include $(top_srcdir)/../../../../automake/local.am
Index: c/src/lib/libbsp/m68k/mvme162/startup/Makefile.am
===================================================================
--- c/src/lib/libbsp/m68k/mvme162/startup/Makefile.am	(revision 54a1f5ddb263ef0004c2e5c69c7814c8d82bb863)
+++ c/src/lib/libbsp/m68k/mvme162/startup/Makefile.am	(revision 15d7f766c5b4f6d52ffd5721892c8d6c604995c7)
@@ -24,17 +24,15 @@
 	$(make-rel)
 
-bsplib_DATA = linkcmds
-
-$(PROJECT_RELEASE)/lib/linkcmds: linkcmds
-	$(INSTALL_DATA) $< $@
+project_lib_DATA = linkcmds
 
 # the .rel file built here will be put into libbsp.a by ../wrapup/Makefile
-TMPINSTALL_FILES += $(PROJECT_RELEASE)/lib/linkcmds
 
-all-local: $(OBJS) $(PGM) $(TMPINSTALL_FILES)
-
-.PRECIOUS: $(PGM)
+all-local: $(PGM) $(TMPINSTALL_FILES)
 
 EXTRA_DIST = bspclean.c bspstart.c linkcmds page_table.c
 
+${PROJECT_RELEASE}/lib/linkcmds: linkcmds ${PROJECT_RELEASE}/lib/$(dirstamp)
+	$(INSTALL_DATA) $< ${PROJECT_RELEASE}/lib/linkcmds
+TMPINSTALL_FILES += ${PROJECT_RELEASE}/lib/linkcmds
+
 include $(top_srcdir)/../../../../automake/local.am
Index: c/src/lib/libbsp/m68k/mvme162/wrapup/Makefile.am
===================================================================
--- c/src/lib/libbsp/m68k/mvme162/wrapup/Makefile.am	(revision 54a1f5ddb263ef0004c2e5c69c7814c8d82bb863)
+++ c/src/lib/libbsp/m68k/mvme162/wrapup/Makefile.am	(revision 15d7f766c5b4f6d52ffd5721892c8d6c604995c7)
@@ -11,7 +11,6 @@
 
 # bummer; have to use $foreach since % pattern subst rules only replace 1x
-OBJS = $(foreach piece, $(BSP_PIECES), $(wildcard \
-    ../$(piece)/$(ARCH)/*.$(OBJEXT))) $(wildcard \
-    ../consolex/$(ARCH)/consolex.rel) $(wildcard \
+OBJS = $(foreach piece, $(BSP_PIECES), ../$(piece)/$(ARCH)/*.$(OBJEXT)) \
+    $(wildcard ../consolex/$(ARCH)/consolex.rel) $(wildcard \
     ../../../../libcpu/$(RTEMS_CPU)/shared/misc/$(ARCH)/*.$(OBJEXT)) \
     $(wildcard \
Index: c/src/lib/libbsp/m68k/mvme167/ChangeLog
===================================================================
--- c/src/lib/libbsp/m68k/mvme167/ChangeLog	(revision 54a1f5ddb263ef0004c2e5c69c7814c8d82bb863)
+++ c/src/lib/libbsp/m68k/mvme167/ChangeLog	(revision 15d7f766c5b4f6d52ffd5721892c8d6c604995c7)
@@ -1,2 +1,9 @@
+2003-12-10	Ralf Corsepius <corsepiu@faw.uni-ulm.de>
+
+	* Makefile.am: Misc cleanups and fixes.
+	* start/Makefile.am: Misc cleanups and fixes.
+	* startup/Makefile.am: Misc cleanups and fixes.
+	* wrapup/Makefile.am: Misc cleanups and fixes.
+
 2003-12-03	Ralf Corsepius <corsepiu@faw.uni-ulm.de>
 
Index: c/src/lib/libbsp/m68k/mvme167/Makefile.am
===================================================================
--- c/src/lib/libbsp/m68k/mvme167/Makefile.am	(revision 54a1f5ddb263ef0004c2e5c69c7814c8d82bb863)
+++ c/src/lib/libbsp/m68k/mvme167/Makefile.am	(revision 15d7f766c5b4f6d52ffd5721892c8d6c604995c7)
@@ -18,5 +18,5 @@
 nodist_include_HEADERS += $(top_srcdir)/../shared/mvme/mvme16x_hw.h
 
-all: $(PREINSTALL_FILES)
+all-local: $(PREINSTALL_FILES)
 
 EXTRA_DIST = times
Index: c/src/lib/libbsp/m68k/mvme167/start/Makefile.am
===================================================================
--- c/src/lib/libbsp/m68k/mvme167/start/Makefile.am	(revision 54a1f5ddb263ef0004c2e5c69c7814c8d82bb863)
+++ c/src/lib/libbsp/m68k/mvme167/start/Makefile.am	(revision 15d7f766c5b4f6d52ffd5721892c8d6c604995c7)
@@ -12,4 +12,5 @@
 include $(top_srcdir)/../../../../automake/compile.am
 include $(top_srcdir)/../../../../automake/lib.am
+include $(top_srcdir)/../../bspstart.am
 
 #
@@ -17,16 +18,11 @@
 #
 
-install-data-local: $(PROJECT_RELEASE)/lib/start$(LIB_VARIANT).$(OBJEXT)
-	@$(mkinstalldirs) $(DESTDIR)$(bsplibdir)
-	$(INSTALL_DATA) $< $(DESTDIR)$(bsplibdir)
+project_lib_DATA = $(ARCH)/start$(LIB_VARIANT).$(OBJEXT)
 
-$(PROJECT_RELEASE)/lib/start$(LIB_VARIANT).$(OBJEXT): $(ARCH)/start.$(OBJEXT)
-	$(INSTALL_DATA) $< $@
+all-local: $(TMPINSTALL_FILES)
 
-TMPINSTALL_FILES += $(PROJECT_RELEASE)/lib/start$(LIB_VARIANT).$(OBJEXT)
-
-all-local: $(OBJS) $(ARCH)/start.$(OBJEXT) $(TMPINSTALL_FILES)
-
-.PRECIOUS: $(ARCH)/start.$(OBJEXT)
+${PROJECT_RELEASE}/lib/start$(LIB_VARIANT).$(OBJEXT): $(ARCH)/start$(LIB_VARIANT).$(OBJEXT) ${PROJECT_RELEASE}/lib/$(dirstamp)
+	$(INSTALL_DATA) $< ${PROJECT_RELEASE}/lib/start$(LIB_VARIANT).$(OBJEXT)
+TMPINSTALL_FILES += ${PROJECT_RELEASE}/lib/start$(LIB_VARIANT).$(OBJEXT)
 
 include $(top_srcdir)/../../../../automake/local.am
Index: c/src/lib/libbsp/m68k/mvme167/startup/Makefile.am
===================================================================
--- c/src/lib/libbsp/m68k/mvme167/startup/Makefile.am	(revision 54a1f5ddb263ef0004c2e5c69c7814c8d82bb863)
+++ c/src/lib/libbsp/m68k/mvme167/startup/Makefile.am	(revision 15d7f766c5b4f6d52ffd5721892c8d6c604995c7)
@@ -24,16 +24,13 @@
 	$(make-rel)
 
-bsplib_DATA = linkcmds
+project_lib_DATA = linkcmds
 
-$(PROJECT_RELEASE)/lib/linkcmds: linkcmds
-	$(INSTALL_DATA) $< $@
-
-TMPINSTALL_FILES += $(PROJECT_RELEASE)/lib/linkcmds
-
-all-local: $(OBJS) $(PGM) $(TMPINSTALL_FILES)
-
-.PRECIOUS: $(PGM)
+all-local: $(PGM) $(TMPINSTALL_FILES)
 
 EXTRA_DIST = bspclean.c bspstart.c linkcmds page_table.c
 
+${PROJECT_RELEASE}/lib/linkcmds: linkcmds ${PROJECT_RELEASE}/lib/$(dirstamp)
+	$(INSTALL_DATA) $< ${PROJECT_RELEASE}/lib/linkcmds
+TMPINSTALL_FILES += ${PROJECT_RELEASE}/lib/linkcmds
+
 include $(top_srcdir)/../../../../automake/local.am
Index: c/src/lib/libbsp/m68k/mvme167/wrapup/Makefile.am
===================================================================
--- c/src/lib/libbsp/m68k/mvme167/wrapup/Makefile.am	(revision 54a1f5ddb263ef0004c2e5c69c7814c8d82bb863)
+++ c/src/lib/libbsp/m68k/mvme167/wrapup/Makefile.am	(revision 15d7f766c5b4f6d52ffd5721892c8d6c604995c7)
@@ -11,7 +11,7 @@
 
 # bummer; have to use $foreach since % pattern subst rules only replace 1x
-OBJS = $(foreach piece, $(BSP_PIECES), $(wildcard \
-    ../$(piece)/$(ARCH)/*.$(OBJEXT))) $(wildcard \
-    ../../../../libcpu/$(RTEMS_CPU)/shared/*/$(ARCH)/*.$(OBJEXT)) $(wildcard \
+OBJS = $(foreach piece, $(BSP_PIECES), ../$(piece)/$(ARCH)/*.$(OBJEXT)) \
+    $(wildcard ../../../../libcpu/$(RTEMS_CPU)/shared/*/$(ARCH)/*.$(OBJEXT)) \
+    $(wildcard \
     ../../../../libcpu/$(RTEMS_CPU)/$(RTEMS_CPU_MODEL)/fpsp/$(ARCH)/fpsp.rel)
 
